Pular para o conteúdo principal
GET
/
api
/
v1
/
callback-agents
/
{agent_id}
curl "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "data": {
    "agent": {
      "id": "agent-uuid-1",
      "name": "Callback Handler",
      "direction": "inbound",
      "current_status": "published"
    },
    "source_agents": [
      { "id": "agent-uuid-2", "name": "Sales Outbound" },
      { "id": "agent-uuid-3", "name": "Survey Outbound" }
    ],
    "stats": {
      "total_callbacks_received": 184,
      "callbacks_answered": 142
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Obter Agente de Callback

Recupera a configuração detalhada de callback para um único agente, incluindo seus agentes de origem e a atividade recente de callback.

Endpoint

GET /api/v1/callback-agents/{agent_id}

Parâmetros de Caminho

agent_id
string
obrigatório
UUID do agente de callback.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer para autenticação. Formato: Bearer talq_your_environment_token_here

Exemplos

curl "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Resposta

{
  "success": true,
  "data": {
    "agent": {
      "id": "agent-uuid-1",
      "name": "Callback Handler",
      "direction": "inbound",
      "current_status": "published"
    },
    "source_agents": [
      { "id": "agent-uuid-2", "name": "Sales Outbound" },
      { "id": "agent-uuid-3", "name": "Survey Outbound" }
    ],
    "stats": {
      "total_callbacks_received": 184,
      "callbacks_answered": 142
    }
  }
}

Respostas de Erro

404 — Não é um Agente de Callback

{
  "success": false,
  "message": "Agent is not configured as a callback agent"
}

Observações